<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/qxtglobalshortcut5/gui/qxtglobalshortcut_mac.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d18178d2ea326c53ebbe8cdc4c7ebc8a.html">qxtglobalshortcut5</a></li><li class="navelem"><a class="el" href="dir_1691cf73dec13ede6b5775ad7051671e.html">gui</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#typedef-members">Определения типов</a> &#124;
<a href="#func-members">Функции</a>  </div>
  <div class="headertitle">
<div class="title">Файл qxtglobalshortcut_mac.cpp</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;Carbon/Carbon.h&gt;</code><br />
<code>#include &quot;<a class="el" href="qxtglobalshortcut__p_8h_source.html">qxtglobalshortcut_p.h</a>&quot;</code><br />
<code>#include &lt;QMap&gt;</code><br />
<code>#include &lt;QHash&gt;</code><br />
<code>#include &lt;QtDebug&gt;</code><br />
<code>#include &lt;QApplication&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Граф включаемых заголовочных файлов для qxtglobalshortcut_mac.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="qxtglobalshortcut__mac_8cpp__incl.png" border="0" usemap="#_2home_2alner_2_xD0_x94_xD0_xBE_xD0_xBA_xD1_x83_xD0_xBC_xD0_xB5_xD0_xBD_xD1_x82_xD1_x8B_2_xD0_x9A_xD0_xBE_xD0_xBC_xD0_xB0_xD0_xBD_xD0_xB4_xD0_xBD_xD1_x8B_xD0_xB9_01_xD0_xBA_xD1_x83_xD1_x80_xD1_x81_xD0_xBE_xD0_xB2_xD0_xBE_xD0_xB9_01_xD0_xBF_xD1_x80_xD0_xBE_xD0_xB5_xD0_xBA_xD1_x82_2deskhelper_2deskhelper_2app_2deskhelper_2qxtglobalshortcut5_2gui_2qxtglobalshortcut__mac_8cpp" alt=""/></div>
<map name="_2home_2alner_2_xD0_x94_xD0_xBE_xD0_xBA_xD1_x83_xD0_xBC_xD0_xB5_xD0_xBD_xD1_x82_xD1_x8B_2_xD0_x9A_xD0_xBE_xD0_xBC_xD0_xB0_xD0_xBD_xD0_xB4_xD0_xBD_xD1_x8B_xD0_xB9_01_xD0_xBA_xD1_x83_xD1_x80_xD1_x81_xD0_xBE_xD0_xB2_xD0_xBE_xD0_xB9_01_xD0_xBF_xD1_x80_xD0_xBE_xD0_xB5_xD0_xBA_xD1_x82_2deskhelper_2deskhelper_2app_2deskhelper_2qxtglobalshortcut5_2gui_2qxtglobalshortcut__mac_8cpp" id="_2home_2alner_2_xD0_x94_xD0_xBE_xD0_xBA_xD1_x83_xD0_xBC_xD0_xB5_xD0_xBD_xD1_x82_xD1_x8B_2_xD0_x9A_xD0_xBE_xD0_xBC_xD0_xB0_xD0_xBD_xD0_xB4_xD0_xBD_xD1_x8B_xD0_xB9_01_xD0_xBA_xD1_x83_xD1_x80_xD1_x81_xD0_xBE_xD0_xB2_xD0_xBE_xD0_xB9_01_xD0_xBF_xD1_x80_xD0_xBE_xD0_xB5_xD0_xBA_xD1_x82_2deskhelper_2deskhelper_2app_2deskhelper_2qxtglobalshortcut5_2gui_2qxtglobalshortcut__mac_8cpp">
<area shape="rect" title=" " alt="" coords="562,5,791,91"/>
<area shape="rect" title=" " alt="" coords="289,139,419,165"/>
<area shape="rect" href="qxtglobalshortcut__p_8h.html" title=" " alt="" coords="443,139,606,165"/>
<area shape="rect" title=" " alt="" coords="759,213,824,240"/>
<area shape="rect" title=" " alt="" coords="681,139,741,165"/>
<area shape="rect" title=" " alt="" coords="765,139,844,165"/>
<area shape="rect" title=" " alt="" coords="868,139,973,165"/>
<area shape="rect" href="qxtglobalshortcut_8h.html" title=" " alt="" coords="92,213,240,240"/>
<area shape="rect" title=" " alt="" coords="224,288,343,315"/>
<area shape="rect" title=" " alt="" coords="319,213,512,240"/>
<area shape="rect" title=" " alt="" coords="536,213,735,240"/>
<area shape="rect" href="qxtglobal_8h.html" title=" " alt="" coords="5,288,100,315"/>
<area shape="rect" title=" " alt="" coords="125,288,199,315"/>
<area shape="rect" title=" " alt="" coords="13,363,92,389"/>
</map>
</div>
</div>
<p><a href="qxtglobalshortcut__mac_8cpp_source.html">См. исходные тексты.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Определения типов</h2></td></tr>
<tr class="memitem:a29e97a95ec25cafb6cb1494d44178717"><td class="memItemLeft" align="right" valign="top">typedef QPair&lt; uint, uint &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="qxtglobalshortcut__mac_8cpp.html#a29e97a95ec25cafb6cb1494d44178717">Identifier</a></td></tr>
<tr class="separator:a29e97a95ec25cafb6cb1494d44178717"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Функции</h2></td></tr>
<tr class="memitem:a3a3b4947ba32ff05d24c310477784013"><td class="memItemLeft" align="right" valign="top">OSStatus&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="qxtglobalshortcut__mac_8cpp.html#a3a3b4947ba32ff05d24c310477784013">qxt_mac_handle_hot_key</a> (EventHandlerCallRef nextHandler, EventRef event, void *data)</td></tr>
<tr class="separator:a3a3b4947ba32ff05d24c310477784013"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Типы</h2>
<a id="a29e97a95ec25cafb6cb1494d44178717"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29e97a95ec25cafb6cb1494d44178717">&#9670;&nbsp;</a></span>Identifier</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef QPair&lt;uint, uint&gt; <a class="el" href="qxtglobalshortcut__mac_8cpp.html#a29e97a95ec25cafb6cb1494d44178717">Identifier</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">См. определение в файле <a class="el" href="qxtglobalshortcut__mac_8cpp_source.html">qxtglobalshortcut_mac.cpp</a> строка <a class="el" href="qxtglobalshortcut__mac_8cpp_source.html#l00037">37</a></p>

</div>
</div>
<h2 class="groupheader">Функции</h2>
<a id="a3a3b4947ba32ff05d24c310477784013"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a3b4947ba32ff05d24c310477784013">&#9670;&nbsp;</a></span>qxt_mac_handle_hot_key()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OSStatus qxt_mac_handle_hot_key </td>
          <td>(</td>
          <td class="paramtype">EventHandlerCallRef&#160;</td>
          <td class="paramname"><em>nextHandler</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">EventRef&#160;</td>
          <td class="paramname"><em>event</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">См. определение в файле <a class="el" href="qxtglobalshortcut__mac_8cpp_source.html">qxtglobalshortcut_mac.cpp</a> строка <a class="el" href="qxtglobalshortcut__mac_8cpp_source.html#l00043">43</a></p>
<div class="fragment"><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;{</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    Q_UNUSED(nextHandler);</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    Q_UNUSED(data);</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keywordflow">if</span> (GetEventClass(event) == kEventClassKeyboard &amp;&amp; GetEventKind(event) == kEventHotKeyPressed)</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    {</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        EventHotKeyID keyID;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        GetEventParameter(event, kEventParamDirectObject, typeEventHotKeyID, NULL, <span class="keyword">sizeof</span>(keyID), NULL, &amp;keyID);</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        <a class="code" href="qxtglobalshortcut__mac_8cpp.html#a29e97a95ec25cafb6cb1494d44178717">Identifier</a> <span class="keywordtype">id</span> = keyIDs.key(keyID.id);</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        <a class="code" href="classQxtGlobalShortcutPrivate.html#aa9322fac1f86bbbb0ba82a1a150bc0a0">QxtGlobalShortcutPrivate::activateShortcut</a>(<span class="keywordtype">id</span>.second, <span class="keywordtype">id</span>.first);</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    }</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="keywordflow">return</span> noErr;</div>
</div><!-- fragment -->
</div>
</div>
</div><!-- contents -->
<div class="ttc" id="aqxtglobalshortcut__mac_8cpp_html_a29e97a95ec25cafb6cb1494d44178717"><div class="ttname"><a href="qxtglobalshortcut__mac_8cpp.html#a29e97a95ec25cafb6cb1494d44178717">Identifier</a></div><div class="ttdeci">QPair&lt; uint, uint &gt; Identifier</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut__mac_8cpp_source.html#l00037">qxtglobalshortcut_mac.cpp:37</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html_aa9322fac1f86bbbb0ba82a1a150bc0a0"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html#aa9322fac1f86bbbb0ba82a1a150bc0a0">QxtGlobalShortcutPrivate::activateShortcut</a></div><div class="ttdeci">static void activateShortcut(quint32 nativeKey, quint32 nativeMods)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut_8cpp_source.html#l00106">qxtglobalshortcut.cpp:106</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
